#
# Conditional build:
%bcond_without	tests		# build without tests

%define		pkgname	mixlib-log
Summary:	Ruby mix-in for log functionality
Name:		ruby-%{pkgname}
Version:	2.0.4
Release:	3
License:	Apache v2.0
Group:		Development/Languages
Source0:	https://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	fdb9b65a22703e6cef93953959545a37
URL:		https://github.com/chef/mixlib-log
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-cucumber
BuildRequires:	ruby-rake
BuildRequires:	ruby-rspec < 4
BuildRequires:	ruby-rspec >= 3.7
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A gem that provides a simple mix-in for log functionality.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q

%build
%__gem_helper spec

%if %{with tests}
# need RSpec2
rspec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md NOTICE
%{ruby_vendorlibdir}/mixlib/log.rb
%{ruby_vendorlibdir}/mixlib/log
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

# FIXME, who owns the dir?
%dir %{ruby_vendorlibdir}/mixlib

%if 0
%files doc
%defattr(644,root,root,755)
%endif
%changelog
* Tue Mar 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mixlib-log.git;a=log;h=master

* Tue Mar 24 2020 Jan Rękorajski <baggins@pld-linux.org> 00ac66d
- release 3 (by relup.sh)

* Mon Jul 16 2018 Elan Ruusamäe <glen@pld-linux.org> c0decba
- cleanup uneeded build deps

* Mon Jul 16 2018 Elan Ruusamäe <glen@pld-linux.org> cd46dd3
- update files

* Mon Jul 16 2018 Elan Ruusamäe <glen@pld-linux.org> ae2dc8d
- https urls

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> 7ab1a2c
- updated deps

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> fd5b8a3
- up to 2.0.4

* Mon Aug 31 2015 Elan Ruusamäe <glen@delfi.ee> 533d9a7
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Wed Aug 12 2015 Elan Ruusamäe <glen@delfi.ee> bef5b95
- release 4 (by relup.sh)

* Tue Dec 23 2014 Elan Ruusamäe <glen@delfi.ee> e1fd50c
- rebuild with gemspec deps
- release 3 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> ba4444a
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> e3b97c6
- up to 1.6.0

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 7536636
- build with rubygems provides

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> efa408c
- new, version 1.4.1

